# ESMValTool
# recipe_mydiag.yml


documentation:
  title:
    simple_start
  description:
    My very first esmvaltool script
  authors:
    - unmaintained
  maintainer:
    - unmaintained

diagnostics:
  map:
    description: "my very first map diagnostics"
    #variables:
    #  air_temperature:
    #    short_name: tas
    #    preprocessor: mypp_map
    scripts: 
      myscript:
        script: null

datasets:
  - {dataset: BCC-ESM1, project: CMIP6, mip: Amon, exp: historical, ensemble: r1i1p1f1, grid: gn}
  - {dataset: NorESM2-LM, project: CMIP6, mip: Amon, exp: historical, ensemble: r1i1p1f1, grid: gn}
  - {dataset: EC-Earth3, project: CMIP6, mip: Amon, exp: historical, ensemble: r1i1p1f1, grid: gr}

preprocessors:
  mypp_map:
    regrid:
      target_grid: 1x1
      scheme: linear
    climate_statistics:
      operator: mean
      period: full
    convert_units:
      units: degrees_C
  mypp_ts:
    regrid:
      target_grid: 1x1
      scheme: linear
    area_statistics:
      operator: mean
    annual_statistics:
      operator: mean
    convert_units:
      units: degrees_C
